			wxFormBuilder ChangeLog
********************************************************************************
10/01/2015 Version 3.05.02 (RC2)
* #162 Setting extra style interferres with base class
* #159 Generated code for wxDataViewCtrl & co. is wrong/inconsistent
* #164 Alignment issues 3.5-RC1
* #165 A Fatal Error Occured
* #157 Setting min larger than max causes crash 

06/17/2015 Version 3.05.01.01 (RC1)
* Updated installer scripts.

03/27/2015 Version 3.05.01 (RC1)
* #142 3.5-0 beta doesn't generates cpp/h files from command line (patch by Alexey Elizarov).
* #145 ObjectInspector sometimes reselects wrong item (patch by sodev).
* #146 Fixed codegeneration to use the static box of a wxStaticBoxSizer as parent for its children (patch by sodev).
* #153 Incorrect generated python eventbinding code.
* #7 get wxformbuilder to build on Mac OS X.
+ #61 wxDataViewCtrlColumn support.
* Partial fix of #131 wxStaticBoxSizer highlighting issues.
+ #8 Support for wxAUI_NB_MIDDLE_CLICK_CLOSE (patch by FGI).
* #9 fix mac os install scripts (patch by Roberto Perpuly).
* #10 update line endings in code generation on Mac OS X (patch by Roberto Perpuly).
* #121 Incorrect line endings for newer versions of Mac OS.

05/06/2014 Version 3.05.00 (Beta)
+ Added support for wxRibbonBar and related classes.
+ Added support for wxDataViewCtrl and derived classes.
+ Added abbility to define property grid's/manager's content.
+ Re-arranged widgets palettes.
* #140 GUI dont work after some controls added
^ Property names used in code templates may be encapsulated by curly brackets (e.g. ${name})
  so they can be surrounded by the template's content without any extra white spaces now.
* #112 Using wxListbook under MSW causes assertion on startup

04/13/2014 Version 3.04.03 (Beta)
* Both wxToolBar and wxAuiToolBar now use GetId() function member of their tools to handle
  ID assigned to the tools automatically.
+ The object inspector now remembers name of the last modified property and tries to select it
  again when active widget is changed (patch by tuyanyi).
* #138 Wrong Icons in GUI.
* #137 XRC generation uses class "unknown" for search control.
* #136 AUI pane captions dont get marked for translation.

01/24/2014 Version 3.04.02 (Beta)
* #126 wxWidgets > 2.8 compile fix (patch by sodev).
* #127 Wrong parent passed to IComponent::OnCreated() (patch by sodev).
* #128 Object Inspector expansion fix (patch by sodev).
* #129 Support for statusbar plugins (patch by sodev).
* Avoid flickering on MS Windows.
+ Added abbility to swap the editor and the object properties panels (patch by tuyanyi).

11/12/2013 Version 3.04.01 (Beta)
* Fixed build error with wxWidgets 3.0.0.
^ Removed borders from designer frame/dialog/panel when built with wxWidgets 2.9 or later
  under wxGTK.

05/10/2013 Version 3.04.00 (Beta)
+ Added support for wxLUA code generation.

03/21/2013 Version 3.03.05 (Beta)
* Fixed various issues when built with wxWidgets 2.9.x and later.
+ Added support for wxInfoBar widget ( when built with wxWidgets 2.9.4 and later ).
+ Added support for wxPropertyGrid and wxPropertyGridManager widgets ( when built with wxWidgets 2.9.4 and later ).
+ Added support for wxStyledTextCtrl widget ( when built with wxWidgets 2.9.4 and later ).
+ Added support for wxTimer non-visual object.
* Fixed "default" font family in generated XRC under wxWidgets 2.9.x and later.
* Fixed minor visual issues under wxWidgets 2.9.x and later.
+ Added XRC code generation for wxAuiNotebook ( when built with wxWidgets 2.9.5 and later ).
+ Added support for bitmaps in XRC code generated for wxNotebook.

10/07/2012 Version 3.03.04 (Beta)
* ID: 3519419 - Create inherited class bracket error.
* Fixed code generation for PHP wxSplitterWindow wxEVT_IDLE.
* Fixed "scrollbar jump" in Object Inspector occured if wxFB built with wxWidgets 2.9.x and later.
* ID: 3536076, 3536080 - Sub-class behaviour changed 3.2 to 3.3
* ID: 3556216 - Missing field <scrollrate> in generated XRC
* ID: 3530800 - wxTextCtrl "maxlenght"
* ID: 3142678 - Adds 'public' to python class when doing 'subclass'

04/06/2012 Version 3.03.03 (Beta)
* ID: 3510480 - Subclass not displayed after reloading a project in 3.3.2.
* ID: 3506972 - Generating Python code.
* ID: 3148236 - Configure wxAuiManager + AUI-related properties aren't shown for widgets/forms where it has no sense.
* Fixed code generation for wxToolBar/wxAuiToolBar if parent form is managed by AUI.
* wxAdditions widgets (such are wxPropertyGrid, wxScintilla, etc.) can be placed directly to the AUI-managed frame as well.
* Offers validators just for those controls where it has a sense.
* Improved highlighting of widgets if AUI is used.
* AUI notebook is used instead of FlatNotebook if wxFB built with wxWidgets 2.9.x and later.
* Fixed various bugs if wxFB built with wxWidgets 2.9.x and later.
* Fixed Python code generation for tool placed inside stand-alone toolbar.

02/10/2012 Version 3.03.02 (Beta)
* ID: 3470209 - wxDIRCTRL_MULTIPLE Style missing for wxGenericDirCtrl.
* ID: 3472032 - Error in svn trunk 3.3-1 beta version generating python code.
* ID: 3480059 - Gettext, Unicode and wxPython.
* ID: 3486641 - XRC import does not accept CENTRE attributes.
* ID: 3482829 - Default font is targeted to the current machine.
* ID: 3460028 - Offer "default" value for fonts.
* ID: 3488348 - Newlines in wxStaticText.
* ID: 3493539 - Generate Inherited Class deletes additional includes (c++).

01/17/2012 Version 3.03.01 (Beta)
* Fixed code generation for bitmaps provided by wxArtProvider - John Labenski.
^ Added support for custom resource and client wxArtProvider's IDs in bitmap properties - John Labenski.
* ID: 3437910 - Fixed codegeneration for context menus assigned to subclassed controls.
* ID: 3435478 - Fixed crash on loading icon from resource.
* ID: 3432356 - Possible bug with generated code for wxGridBagSizer.
* ID: 3396919 - Bug on AUI toolbar buttons.
* ID: 3395468 - wxChoice missing wxCB_SORT style.
^ Added ability to set default selection for wxComboBox/wxBitmapComboBox.
* ID: 3432383 - Missing delete for wxMenu object.
* ID: 3417877 - Generated cpp file leads to compiler warnings.
* ID: 3462454 - Fixed wxListCtrl code generation for wxEVT_COMMAND_LIST_COL_RIGHT_CLICK event.
* wxFB source code can be built with wxWidgets 2.9.2 - Andrea Zanellato, Eran Ifrah.

12/02/2011 Version 3.03.00 (Beta)
* Fixed improper placement of a comma at the end of the C/C++ enum list - Andrea Zanellato.
+ Added support for wxWizard - Andrea Zanellato.
+ Added support for PHP code generation - JGM.
^ Combo box component (wxComboBox) now supports value change from visual designer.
* Fixed gridbag sizer so it can be added directly to any container without need of 
  another underlying sizer.
^ Added missing IDs to wxArtProvider bitmap source.
* Fixed AUI pane buttons.
* Fixed AUI code generation for wxToolBar/wxAuiToolBar.
^ Drop-down menu associated with AUI toolbar's tool now shows its real content in designer.
^ Context menu associated with a widget is shown in designer after RMB click.

11/08/2011 Version 3.02.03 (Beta)
* Several toolbars can be inserted directly into AUI-managed frames.
+ Added "Load From Embedded File" for bitmap properties.
* Added missing import for wx.aui.AuiToolBar class.
+ Added support for wxArtProvider.
+ Added support for drop-down menus in wxAuiToolBar - Andrea Zanellato.
* Fixed handling of "moveable" AUI property.
+ XRCID() macro can be used as a widget ID.
^ Upgraded to use new wxPropertyGrid control.
* Fixed C++ code generation for drop-down menus assigned to AUI toolbar's tools.
^ wxFB project version increased to 1.11 due to different format of bitmap properties.

03/22/2011 Version 3.02.02 (Beta)
* Fixed positioning of status bar on AUI-managed frame.
* Fixed centering of frame/dialog which is managed by AUI.
^ Improved and fixed components' inheritance definition.
* Fixed doubled setup code for wxBitmapButton (and potentialy for all components
  with multiple inheritance).
^ Number of rows in wxGridSizer and wxFlexGridSizer is set to '0' by default which
  means that the correct rows number will be calculated by wxWidgets itself.
* wxGridBagSizer can be added directly to a frame/dialog/panel.
* Fixed code generation of empty wxCheckListBox in Python.
^ Also following widgets can be placed directly into AUI-managed frame:
  wxNotebook, wxAuiNotebook, wxFlatNotebook, wxListbook, wxChoicebook, wxTreeListCtrl
  and wxSplitterWindow.
^ AUI-managed frames can handle also AUI events.
^ Added "best_size", "min_size" and "max_size" AUI properties.
^ XRC preview is disabled for AUI-managed frames.

11/02/2010 Version 3.02.01 (Beta)
* Fixed occasional crash occured during design of forms managed by AUI. 
* Fixed build issue on Linux when wxWidgets library was built with wxUSE_MEDIACTRL=0
  (build files must be re-created by using ./create_build_files.sh)
* Form/dialog background colour used in the designer is more "native".
^ wxBitmapComboBox moved from "Additional" palette to "Common" palette.
* Fixed insertion of toolbars into AUI managed toolbar panes.

09/17/2010 Version 3.02.00 (Beta)
+ Added support for AUI and wxAuiToolbar.
+ Added support for wxBitmapComboBox and wxMediaCtrl.

07/31/2010 Version 3.01.70
^ Stable release for 3.1 branch.

06/08/2010 Version 3.01.69 (RC2)
^ Slightly tuned the designer panel colour.
* Reverted patch for menu items' connection/disconnection. wxMenuItem::GetId()
  function in now used again instead of explicitly defined IDs. Explicitly defined
  IDs are now used for disconnection only.
^ "internationalize" project property moved from C++ category to a common section.

05/04/2010 Version 3.01.68 (RC1)
+ Generation of inherited class (F6) preserves all user code changes now (so it can be used
  more than once) (spedgenius).
* FS#456 - App crashes when you double click on file_path property.
* FS#459 - duplicate python code generated on toolbar add widget.
+ Any widget (wxWindow) can be added also to ToolBarForm (stand-alone toolbar class).
* Fixed disconnection of menu items' event handlers.
* Fixed positioning of newly created items in object tree.
^ Searching scope of find dialog reduced to active editor page only to avoid confusing messages
  like multiple "not found".
* User-defined wrapping of static text is correctly generated also for XRC.
+ Implemented internationalization support (gettext) in Python code.
* FS#436 - Relative path in Linux when under a symlink not generating correctly when .xpm included.
^ Slightly changed some main frame's components colors to better respect colours used in OS theme.

02/10/2010 Version 3.01.67 (Beta)
* Fixed resolving of name conflicts in stand-alone toolbars and menubars.
^ Context menus are now generated as top-level menus in XRC so function wxXmlResource::LoadMenu()
  can be used on them.
^ Implemented XRC preview (F5) for stand-alone MenuBar and ToolBar.
* FS#454 - Python code generation for toolbars
* Fixed Python code generation of SetToolTipString() function for wxPanel

12/17/2009 Version 3.01.66 (Beta)
* Fixed python code generation for wx.EVT_LIST_ITEM_DESELECTED event (wxListCtrl).
* FS#420 - Minsize field is not generated.
* FS#447 - Python code generation for ToolBar.
* FS#449 - Python code generation for Menu: wrong id in Bind.
* Fixed crash occured when non-top level window was added directly to the project.

08/27/2009 Version 3.01.65 (Beta)
* Fixed menu items' shortcuts in XRC
+ Implemented context menus for forms, containers and widgets. An instance
  of wxMenu class can be now assigned directly to these objects. The context menu
  is displayed on a right-mouse-button click by default, but the behaviour can be
  changed by "context_menu" widget's option. Note that this feature is supported
  in C++ and Python code generation only.
* FS#280 - wxMenu not part of a wxMenuBar 
* Fixed startup crash on MacOS X 10.5.7 (for wxWidgets 2.8.10)
* Fixed loading of wxTreeListCtrl events that were inherited from wxTreeCtrl in 
  wxAdditions.
* FS#444 - python code generation error
* FS#428 - extra import(s) in wxpython code generation
* FS#446 - Can't add Submenu to a Menu
+ Menubar and toolbar can be inserted into project as top-level objects (they will
  be generated as stand-alone classes which can be instantiated later or directly into XRC).
  See 'Forms' palette.
^ Significantly improved speed of adding/removing of project items on large projects.
^ Significantly improved speed of undo/redo/paste operations on large projects (note for existing projects: 
  the patch will have an effect after manual expansion and collapsion of all form-based items in the object tree).

08/27/2009 Version 3.01.64 (Beta)
* FS#389 - Center option for dialogs should be set to wxBOTH by default
* FS#391 - Change (some) user notifications from status bar to message box 

08/26/2009 Version 3.01.63 (Beta)
* Fixed code generation of wxGrid events in Python

08/19/2009 Version 3.01.62 (Beta)
+ Added support for wxSearchCtrl widget
+ Added support for wxAnimationCtrl widget
* Fixed code generation of system colors in Python
* FS#430 - Spacer code generation in Python is incomplete (no proportion param)
* FS#432 - Fatal error when resizing Object Properties
* Fixed tooltips' code generation in Python
* Sash position of wxSplitterWindow is set only if differs from -1

06/11/2009 Version 3.01.61 (Beta)
+ Added support for Python (wxPython) code generation
* FS#424 - No encoding declared
* FS#425 - ListBook: C++ code instead of Python code 

03/06/2009 Version 3.01.60 (Beta)
* Moved the 'event_handler' type to the Forms plug-in. This allows different 
  event handling methods to be used per Frame/Dialog/Panel. This makes it even
  easier to create Dialogs that don't need any inherited class to work.
* Removed the 'virtual_decl' 'event_handler' method because it seemed like hassle
  to get a linker error instead of a compiler error. It also cleans up the options
  a bit.

02/06/2009 Version 3.01.59 (Beta)
* FS#367 - Project-Properties: encoding is ignored. Fixed ANSII file generation - Loaden
* FS#357 - wxFB overrides file without confirmation from user. - hykwok
* FS#215 - Abstract or normal class generation. - c16
* FS#394 - Separator reference not accessible through generated C++ code - pmendl
* FS#379 - Un/escaped some property values in XRC - malcom

08/04/2008 Version 3.01.58 (Beta)
+ Added validator support for C++.

04/15/2008 Version 3.00.57
* FS#349 - "RC8 menu editor still generate incorect menu item code"
* FS#345 - "Crash on Mac OS X when loading plugins"
* Fixed crash on close when showing a propgrid from the wxAdditions plugin
  in the Designer window.
* FS#351 - "Can't edit choises if the '\' is used"

03/18/2008 Version 3.00.56 (RC8)
* Added #include <wx/intl.h> to header file when using internationalization.
* Custom control now inherits from wxWindow, to provide common properties.
* FS#336 - "Incorrect ScrollBar Disconnection"
* FS#310 - "FB should not try to disconnect event handlers in dialog/frame's destructor."
  This is now optional, see the "disconnect_events" property of the Project object.
* FS#337 - "Incorrect Vertical Toolbar Rendering"
* FS#328 - "Unknown style flag wxTE_BESTWRAP for wxTextCtrl"
  Removed the flag, it is the default, and #define'd to 0x0000, so it was pointless anyway.
* FS#339 - "wx/icon.h not included when using resource icons in wxToolBar"
^ Removed the two project-level XRC properties, "bitmaps" and "icons". 
  These never worked properly, and wxFB is not the right place to enter that information,
  a standalone XRC file written with any text-editor would be much better.
  This was prompted by, and caused the closure of, these issues:
  FS#340 - "bitmap resources are unnamed, preventing use of wxXmlResource::Get()->LoadBitmap()" 
  FS#329 - "XRC Properties - Follow on"
* FS#324 - "[wxMac] Buttons on the component palette have a black background"

02/18/2008 Version 3.00.55 (RC7)
* FS#319 - "Problems with Non-ASCII characters"
* FS#318 - "wxChoice window_name not generated"
* FS#314 - "wxListBox + Clicking on wxLC_VIRTUAL causes infinite loop"
* FS#317 - "wxFB 3.0 RC6 doesn't show wxStaticBitmap when added (? is shown)"

02/01/2008 Version 3.00.54 (RC6)
* FS#308 - Bugs in non-interactive (-g) mode
  Note: stderr is not normally available on Windows for GUI apps.
        If -g is used, all logging goes to stderr and debug output.
		Either start the process with a pipe for stderr (most IDEs will do this
		for you), or use a Debug Viewer to watch the output.
* FS#311 - wxFB 3.0 RC5 still generating incorrect wxMenu(item) code

01/15/2008 Version 3.00.53 (RC5)
* Fixed missing C++ code generation for menu separators and menu item bitmaps.
* FS#290 - "Toolbarseparator leads to crash if the Bitmapsize differs from default."
^ Improved refresh of selection inside a scrolled window.
* Fixed crash on xrc generation for empty bitmap properties.
* FS#295 - "SashGravity not exported in XRC"
* FS#297 - "wxColourPicker not selectable on form"
* FS#298 - "wxFontPickerCtrl not selectable on form"
* FS#299 - "wxFilePickerCtrl not selectable on form"
* FS#300 - "wxDirPickerCtrl not selectable on form"
* FS#301 - "wxToggleButton value property not updated"
* Fixed C++ generation of the wxToggleButton "value" property
* FS#302 - "wxSpinCtrl initial property not updating"
* FS#294 - "wxRadioBox not selectable on form"

12/17/2007 Version 3.00.52 (RC4-1)
* Fixed application closing when double clicking on an .fpb file in Windows.
* FS#288 - [OS X] Splash screen is truncated
* FS#287 - Made wxFormBuilder compile on systems where wxStackWalker is not present
* FS#289 - [OS X] Perform file associations on mac

12/14/2007 Version 3.00.51 (RC4)
^ No longer creating a temporary file on disk for the XRC Preview.
* FS#247 - "Invalid macro generated by wxFB."
* FS#248 - "Property choices of wxChoice: Strings with single quotes are truncated"
  This forced incrementing the .fbp version to 1.9
* FS#249 - "Paste From Clipboard requires Administrator privileges on Vista"
* FS#252 - "OnSize event bug in RC3 for wxPanel."
* FS#250 - "Image File Browser default filter should be "All Image Files""
* FS#251 - "UNC paths for images are not supported."
* FS#254 - "code duplicating."
+ FS#257 - "wxStaticBox inside a wxStaticBoxSizer lacks an id"
* FS#261 - "wxMenuItem has no 'permission' property"
* FS#265 - "wxID_PREFERENCES should not be redefined"
* FS#269 - "[OS X] menu items shown at wrong place in menu bar" (patch from Auria)
* FS#263 - "Frame not resized correctly in designer when menubar/toolbar/statusbar present"
* FS#267 - "[OS X] radio button groups cause crash"
* FS#276 - "Creation of two event handlers with different protoypes" (patch from Joel Low)
* FS#279 - "missing Append() for wxMenuItem" (patch from denk_mal)
* FS#262 - "Centering of Frame/Dialog incorrect when frame/dialog size not pre-defined"
* FS#258 - "wxRadioButton enabled value not respected" (patch from Joel Low)
* FS#256 - "Gererating Inherited class in different folder output malformed code"
* FS#268 - "[OS X] crashes upon termination" (patch from Auria)
* FS#277 - "crash on using icon/bitmap resource"
* FS#266 - "loading toolbar images from resource"
* FS#259 - "Toolbar tools' icon code does not respect toolbar size"
* FS#282 - "empty clipboard after closing wxformbuilder"
* FS#285 - "Whitespace event handler causes bad code"
* FS#283 - "possiblity to set the selection of a wxChoice"
+ Added stack trace dialog on fatal error.

09/27/2007 Version 3.00.50 (RC3)
* FS#234 - "wxFrame name parameter not available."
* Property values are no longer trimmed for whitespace when projects are loaded.
* FS#235 - "Events don't (always) get attached to the proper object."
^ Common Events are now shared by all controls.
* Now clearing the dirty flag when all changes are undone.
* Cleaned up the selection of objects on undo/redo.
* FS#236 - "include path for XPM Data incorrect."
^ All paths are now generated with '/' as a separator.
* Secondary bitmaps of wxBitmapButton are now only generated to XRC if they are used.
* The "select" property of notebook pages now corresponds to "selected" in XRC.
* Improved XRC import:
    - Sizers are inserted if necessary and possible.
    - Properties are now imported correctly where they used to fail in rare cases.
    - New and informative warnings if an object cannot be imported.
* FS#57 - "Can't add toolbar to non-frame containers."
* FS#238 - "Crash on Negative Number to growable* properties."
^ Auto sash positioning can now be disabled by setting /mainframe/AutoSash=0 in the config.
^ Enabled live pane update when dragging sashes.
* FS#239 - "button.h not included when adding StdDialogButtonSizer."
* On Windows, Ctrl+C did not copy text from code editor when an object was not selected.
* FS#241 - "<wx/statbox.h> not included in generated header."
* Removed minimum size from code windows so the tabs and scrollbars no longer disappear as the window is shrinking.
* FS#242 - "wxFB does not respect current working directory."
^ FS#246 - "Header file should be written to disk only if changed."

09/06/2007 Version 3.00.49 (RC2)
* wxStdDialogButtonSizer events now Connect() to the button, instead of the parent.
* Fixed "default" property for wxButton and wxBitmapButton.
* Fixed missing bitmap properties on wxBitmapButton.
* Applied patch from Ho Yin Kwok to check if the clipboard is open before opening it.
* Fixed hang if opened with a project of an older version.
* Fixed the find dialog only working one time.
* Fixed FS#230 - "Repainting issue with border drawn by wxFormBuilder"
* The value of the "precompiled_header" property should now be the exact code to be 
   generated at the top of the source file to support precompiled headers. For example, 
   to include wxprec.h, the value of this property should be:  #include <wx/wxprec.h>
  This forced a project version uprev to 1.8.  
  This closes FS#232 - "Precompiled headers with Visual C++ 2005".
* Removed #include <wx/wx.h> from the generated header.

08/21/2007 Version 3.00.48 (RC1)
+ FS#227 - "Custom control class name"
+ Added wxGenericDirCtrl
+ FS#173 - "Generate event handler stubs in Tools/Generate Inherited Class"

08/16/2007 Version 3.00.47 (Beta 3)
+ FS#223 - "missing wxTextCtrl style"
+ FS#222 - "Add an annoying dialog to the XRC Preview."
^ FS#116 - "Having property editor remember its expanded property groups."
^ FS#218 - "Having file dialogs remember their type-selection, e.g. *.png or *.bmp"
^ Added "All image files" to the file type filter for the file browser for
  bitmap properties.
* Switch to Code::Blocks splashscreen class to fix linux transparency.
  This resolves FS#224 - "Splashscreen problem in Linux".
* FS#225 - "Current Radio Button selection not saved to fbp or generated in code."

07/27/2007 Version 3.00.46 (Beta 3)
+ Added "column_sizes" and "row_sizes" properties to wxGrid.
  Resizing the columns/rows by dragging is the easiest way to use these.
+ Added events to wxStdDialogButtonSizer.
+ Added wxAuiNotebook.
+ FS#214 - "Create icon for wxAuiNotebook".
^ Reorganized wxGrid properties.
* Fixed FS#199 - "tooltips lost on XRC import"
* Fixed import of "enabled", "hidden", and "subclass" properties.
* Fixed "FS#208 - Error in generated OnUpdateUI event handler registration code."
* Fixed "Edit->Paste Object From Clipboard" was not enabled until the next selection.
* Fixed  FS#216 - "missing header file for wxDatePickerCtrl"
* Properties with floating-point values will be saved and generated using the decimal point,
  but user entry will use the separator ('.' or ',') according to the locale settings.
  This closes "FS#203 - sashgravity -> float".
+ Added "FS#211 - Optimized code/xrc generation in preview editors"
^ Massive font update.
    Default values for font properties are now allowed and encouraged.
    The "underline" and "family" subproperties are now recognized.
    Fixed FS#205 - "wxStaticText If you bold a font and then remove the bold, the size shows up wrong"
    Watch for bugs.
^ Applied patch from ChrisBorgolte which removes the need for wx2.6 compatiblity mode.
    -wxTHICK_FRAME and wxNO_3D styles have been removed from wxDialog. The project conversion wizard
     will take appropriate action.
^ Updated images in sample text in wxRichTextCtrl. This resolves FS#221.

06/13/2007 Version 3.00.45 (Beta 3)
* Fixed FS#198 - "Wrong place of the ID in a wxHyperlinkCtrl."
+ Added support for context-sensitive help.
  To Use:
  Set the Project's "help_provider" property to one of the help providers listed.
  Set the "context_help" wxWindow property on any widget.
  wxMSW: Use the wxDIALOG_EX_CONTEXTHELP extra style on the dialog or frame.
  Others: Add a wxContextHelpButton by using wxStdDialogButtonSizer.
^ Updated the about dialog to include more details about the people involved in
  the project.

06-06-2007 Version 3.00.44 (Beta 3)
* Fixed FS#193 - "Missing wxTE_PROCESS_ENTER in style of wxComboBox."
* Fixed FS#178 - "crash using toolbar"
* Fixed sizeritem properties updating in property grid when modified via toolbar.
+ Added FS#179 - "OnPaint for wxPanel."
+ Added wxStaticText::Wrap().
+ Implemented FS#192 - "Add support for dynamic event handling via Connect() methods."
  Connect() is now the default implementation of event handling.
  See the "event_generation" property of the Project object.
+ Added CustomControl - This allows the user to generate arbitrary code for a 
  control which is not yet fully supported by wxFormBuilder.
^ Updated a bunch of icons. This completes the new theme in wxFormBuilder.
+ Added wxHyperlinkCtrl.

05-29-2007 Version 3.00.43 (Beta 3)
^ Updated to wxFlatNotebook 2.2 - building with wx2.6.x is no longer supported.
  All notebooks can now be configured by right-clicking in empty area of tab bar.
* Fixed FS#190 - "annoying warning with wxTR_HIDE_ROOT in wxTreeCtrl"
+ Implemented FS#185 - "Allowing access to wxStdDialogButtonSizer buttons."
+ Added many more properties to wxGrid.
  This includes FS#191 - "Editing wxGrid column properties in the designer."
* Fixed xrc import of sizeritem, stringlist properties, and wxStdDialogButtonSizer.
  This was a regresssion in version 3.00.40.

05-21-2007 Version 3.00.42 (Beta 3)
+ Added Right-Click -> "Close Preview" to XRC Previews.
  Also much improved the effect of the ESC key in GTK.
+ Added wxRichTextCtrl

05-11-2007 Version 3.00.41 (Beta 3)
* Fixed FS#176 - "Dialog/Frame preview always displays all close/minimize/maximize buttons"
   Could probably still use some tweaking for the proper behavior in GTK.
* Fixed FS#179 - "OnPaint for wxPanel"
   Moved the OnPaint and OnBackgroundErase events to the common events.
* Fixed the wildly inefficient code for choosing the platform's EOL character.
   Significantly improves code generation (to file) time for larger projects.
  
05-04-2007 Version 3.00.40 (Beta 3)
+ Implemented FS#53 - "Copy/Paste between instances of wxFB"
  See "Copy Object To Clipboard" and "Paste Object from Clipboard" in the "Edit" menu.
  Note: You can copy an object from wxFB and paste it as xml wherever you can paste text.
+ Implemented FS#129 - "Controling control alignment from the keyboard."
+ Implemented FS#135 - "Disabling the delete (Ctrl+D) option in the project's popup menu."
^ Replaced all code using TiXml classes with ticpp classes.
  WARNING: Although this has been tested, it could cause unforseen bugs. Please report all strangeness.

04-30-2007 Version 3.00.39 (Beta 3)
+ Implemented FS#110 - "Drag & dropping objects in the Object Tree window."
  Holding CTRL down will copy the object instead of moving it.
+ Implemented FS#10 - "add support for sizers as member variables"
* Fixed code generation for wxChoice, wxRadioBox, and wxCheckListBox for
  when the "choices" property is empty.

04-18-2007 Version 3.00.38 (Beta 3)
^ Updated the program icon.
* Fixed FS#169 - "About dialog box fails to open web browser for home page URL"
* Fixed FS#171 - "Wrong string literal macro in generated headers 
  for internationalized code generation"
* Fixed FS#165 - "focus in wxNotebook always switches to the first panel after 
  adding a widget/layout to another panel"
* Fixed FS#166 - "Adding three tabs to tab control throws an error."
* Fixed FS#172 - "Event list for wxListCtrl shows "OnListCasheHint" instead of "OnListCacheHint""
* Fixed crash when closing the Find dialog with the Cancel button.
* Fixed FS#167 - ""Object Properties" splitter position not remembered"

03-27-2007 Version 3.00.37 (Beta 3)
+ Added mouse events to common events.
+ Added wxEVT_ERASE_BACKGROUND to wxTopLevelWindow events.

03-26-2007 Version 3.00.36 (Beta 3)
* Fixed FS#99 - "changes from menu editor remove all handlers."
^ Added a warning for unsupported properties.
^ Moved all container controls to a new containers plug-in.
^ Moved wxGrid to the "Additional" tab.
^ Moved wxRadioButton to the "Common" tab.
^ Moved wxPanel to the new "Containers" tab.
^ Updated most of the "Additional" tabs icons.
^ Reorganized the "Additional" tab.
+ Added style wxLC_NO_SORT_HEADER to wxListCtrl.
+ Added XRC support to wxFlatNotebook.
+ Added wxFontPickerCtrl.
+ Added wxFilePickerCtrl.
+ Added wxDirPickerCtrl.
+ Added OnIconize to wxTopLevelWindow events.

03-19-2007 Version 3.00.35 (Beta 3)
+ Added wxColourPickerCtrl using source provided by vaius.

03-15-2007 Version 3.00.34 (Beta 3)
+ Added extra_style property to xrc. This resolves FS#163.
* Updated propgrid, which fixed FS#162 - "Changing font point
   size in properties panel causes font size to become huge."
^ Changed font size for xrc editor in gtk to match cpp editors.
^ Editors no longer move horizontal scrollbar when generating.
^ Added a mini wxFormBuilder used controls plug-in.
  It is disabled until a user downloads the wxAdditions plug-in
  from the website. (http://wxformbuilder.org/?page_id=30)
^ Now using wxWidgets v2.8.2.

03-09-2007 Version 3.00.33 (Beta 3)
+ Implemented FS#156 - "Ability to wrap generated code in namespace(s)"
   using patch supplied by kramar.
+ Implemented FS#157 - "Ability to decorate the generated class with dll export"
   using patch supplied by kramar.
+ Implemented FS#160 - "Support for namespaces for subclass forward declarations"
   using patch supplied by kramar.
* Fixed FS#161 - "Tag of items in wxCheckListBox."
^ Moved declaration of menus and submenus to header file.

03-07-2007 Version 3.00.32 (Beta 3)
^ New way to save propgrid values when using menu or toolbar items.
   Cleaner and cross-platform.

03-06-2007 Version 3.00.31 (Beta 3)
* Fixed FS#149 - "Double question whether you want to save a project on exit."
* Fixed FS#148 - "Different generated C++ and XRC file names for unnamed projects."
* Fixed FS#154 - "Crash when adding a sizer."
* Fixed FS#147 - "Accepting new property values when clicking on a menu/toolbar item."
^ Implemented FS#138 - "Select the 'next' control after deleting a control."

03-05-2007 Version 3.00.30 (Beta 3)
^ Implemented FS#130 - "Support for searching through XRC or C++ code."

03-04-2007 Version 3.00.29 (Beta 3)
+ FS#146 - "Displaying keyboard shortcuts in toolbar tooltip windows."
+ New keyboard shortcut for 'New Project' Ctrl+N.
^ Updated the keyboard shortcut for 'Save As' from "F3" to "Ctrl-Shift+S".
^ Updated the keyboard shortcut for 'Open' from "F2" to "Ctrl+O".

03-03-2007 Version 3.00.28 (Beta 3)
* Fixed FS#143 - "Silent code generation failure in case of an invalid project path."
   This was a regression in Version 3.00.27.
* Fixed FS#118 - "Code not regenerated on property changes."
* Fixed FS#119 - "Generating files should not force the code display control to scroll back to the top."
* Code in the visible panel is now regenerated on object removal and creation, project load, new project
   and event handler modification.
* Fixed FS#144 - "Incorrectly generated C++ code when precompiled_header
   property was empty."


03-02-2007 Version 3.00.27 (Beta 3)
^ Implemented FS#142 - "set wxStaticline's default value to wxEXPAND"
^ Implemented FS#140 - "Better code generation selection implementation."
   Always generate code to the visible panel.
   Added -l (language) command line option to specify languages to generate
    when generating from command line. Separate multiple languages with commas.

03-01-2007 Version 3.00.26 (Beta 3)
* Fixed FS#136 - "Panel size doesn't change properly when 'size' is set to -1"
* Fixed FS#137 - "Allow -1 for the 'size' property if the minimum/maximum size is set."
* Fixed FS#113 - "Error when undoing cutting controls."
* Fixed FS#97 - "Menu items in XRC preview window involve wxFB functionality"
^ Implemented FS#117 - "ESC should close the XRC preview form."
   Note: This will never work on wxGTK because it does not set key events to frames or dialogs.

02-28-2007 Version 3.00.25 (Beta 3)
* Fixed FS#100 - "Problem with the relative path of XPM"
* Fixed FS#126 - "Splitter window control without a panel does not get redrawn correctly."
* Fixed FS#132 - "Splitter window control moves its sash unexpectedly at design time."
* Fixed spacer not displaying properly in most sizers.
  This was a regression in build 3.00.23.
* Fixed FS#133 - "Error when moving between designer/C++/XRC tabs."
  This was a regression in build 3.00.24.
^ Now connecting an event handler to idle events for splitter windows to reliably
  set the initial sash position.

02-27-2007 Version 3.00.24 (Beta 3)
* Fixed FS#131 - "Folder not getting released after saving a project into it."
* Fixed FS#114 - "Not being able to cut non-top-level sizers and paste them as top-level sizers."
* Fixed FS#124 - "Option to create a sizer around a control does not work on top-level sizers."
* Fixed FS#104 - "Editing XRC/C++ files should be disallowed completely or allowed to affect GUI properties."
* Fixed FS#127 - "Change 'new' label to 'new project'."
* Fixed FS#125 - "Buggy cut/paste of panels from splitter window controls."

02-26-2007 Version 3.00.23 (Beta 3)
+ Added wxGridBagSizer. This closes FS#58.
   Cannot use wxGBS as the first sizer in a form until the object model improves.
^ Spacer now uses sizeritem, instead of being standalone.
   This forced a project version uprev to 1.6
^ Converted all wxLogDebug to Debug::Print so __WXFB_DEBUG__ is used to
   determine whether or not to log.
^ Improved precompiled header support.
  NOTE: You must now define WX_PRECOMP when compiling to use a precompiled header.

02-23-2007 Version 3.00.22 (Beta 3)
+ Added most of the higher level events for wxTopLevelWindows and wxWindow.
^ Updated the event layout and used event inhertitance to get common events
  throughout the controls.

02-22-2007 Version 3.00.21 (Beta 3)
+ Added the 'Additional' controls events.
* Prevent event handler duplication when there are different event handlers
  with the same function (but it doesn't check that the event class is the
  same).
* Fixed FS#98 - Non-existing files are removed from the recent files list.
+ Added wxEVT_UPDATE_UI event to all controls (if it has a sense).

02-18-2007 Version 3.00.20 (Beta 3)
* Fixed FS#93 - "wxGrid -> Object type unknown in XRC."
* Fixed FS#94 - "Typo in code generation which includes <wx/imaglist.h>."
* Fixed FS#96 - "No XRC for wxStdDialogButtonSizer."
* Added wxRadioBox label to XRC output.
^ "View:XRC Window" now only generates the form that it will display.

02-12-2007 Version 3.00.19 (Beta 3)
* Fixed FS#89 - "wxSpinCtrl cannot have negative min/max value."
* Fixed FS#90 - "Can't change the source of a bitmap."
* Fixed FS#91 - "ID's that start with 'wx' are not properly generated."
* MainFrame is updated when a property is changed, even if the object
  doesn't match with the selected object (i.e. sizeritem obj).
^ wxFrame title bar color now using ActiveCaption.

02-01-2007  Version 3.00.18 (Beta 3)
* Undo command of MoveHierarchy (move left) now restores the position of
  the object.
* Fixed FS#86 - "Object-tree context-menu "Copy" command has no effect"
+ Implemented FS#6 - "icons and bitmaps support"
+ Implemented FS#87 - "Run as command-line compiler"

01-19-2007  Version 3.00.17 (Beta 2)
* Fixed bug where dragging on created dialog statusbar was resizing the main
  application window.
* Fixed FS#85 - "required wx/imagelist.h for wxListbook using image files."
  with help from akira.
* Fixed the "relative_path" and "internationalize" properties for code
  generated from the inner template of a macro. This resolves FS#83 and
  FS#84.
^ Changed generation of "minimum_size" and "maximum_size" for wxFrame and
  wxDialog to using SetSizeHints.
+ Added new 'Generate Inherited Class' dialog.
+ Added menu events.
+ Added Toolbar tool events.

01-11-2007 Version 3.00.16 (Beta 2)
* Improved tolerance of wxBitmap properties to old project files.
  This resolves FS#78.
+ Added "kind" property to tools and added "tooltip" and "statusbar"
  properties to the generated XRC.
  This resovles FS#79 - "Toggle buttons on toolbar."
^ Updated the splash screen again.

01-09-2007 Version 3.00.15 (Beta 2)
+ Added new splash screen.
* Fixed a focus bug that crashed when adding a sizer in certain container
  widgets.

01-04-2007 Version 3.00.14 (Beta 2)
+ Added all known events to the common tab.
+ Added descriptions of the subproperties for bitmap properties
+ Added support for using the non-default editors in the property grid.
  Just add 'editor="Name"' to your xml element for the property.
+ Added a warning about the removal of the "user_headers" property during
  the project import process.
+ The selection border can be drawn even when it extends beyond the edge of
  the inner content panel.
+ Catching left clicks on the title bar of innerframe in order to select it.
+ Added wxSL_BOTH style flag to wxSlider.
+ Added encoding check for all loaded xml files. The means that the xml files
  must have a declaration, and the encoding must be UTF-8. If it is not, wxFB
  will offer to convert the file, from a user chosen original encoding. This
  resolves FS#69.
+ Add the .fbp extension when saving if none is chosen. (this is really only
  an linux issue)
+ Added a shortcut to the "XRC Window" menu item.
+ Added property to skip frame's main sizer generation in certain cases for xrc code
* Now using ints instead of uints for min, max, and val on wxSlider.
* Now remembering right splitter size in classic gui.
* Fixed wxSlider XRC generation for the minValue and maxValue properties.
* Status bar now stays on the bottom of the frame even when the sizer is empty.
- Removed SetVendorName, it just added a level to the hierarchy in the windows
  registry.
^ Single Instance Stuff:
    Prefixed lockfiles with '.' so they are hidden.
    Switched using "localhost" to "127.0.0.1", "localhost" was not working for me.
    Added a status bar message in the second instance when the first instance
    is brought to the front.
    Moved single instance stuff to wxfbipc.cpp/h.
^ General innerframe rendering updates.

12-22-2006 Version 3.00.13 (Beta 2)
* Now generating all empty strings as wxEmptyString. This resolves FS#52.
* wxRadioBox can now use internationalization on its label, too.
  This resolves FS#50.
* Generation of Microsoft BOM on UTF-8 files is now disabled on
  platforms other than WXMSW. This resolves FS#46.
* Fixed crash when editing the value of a wxTextCtrl in the designer,
  under certain conditions. This resolves FS#45.

12-8-2006 Version 3.00.12 (Beta 2)
* Fixed problems with paths including non-English characters.
  wxFB can now be installed to such paths, as well as open/save projects,
  generate code, and import xrc files. This resolves FS#49.
* Now only allowing one choice for non_flexible_grow_mode and for
  flexible_direction on wxFlexGridSizer. This resolves FS#56.

12-4-2006 Version 3.00.11 (Beta 2)
* Now generating user_headers include statements above the generated
  header include. This resolves FS#55.
* Fixed FS#51 - "notebook-like objects errors while they are included into each other"
* Fixed FS#59 - "wxCheckListBox: incorrect class name in XRC"
* Fixed  FS#62 - "Sub-Classing top level items doesn't work."
  This was a big change. The subclass property is now a parent property with two
  children: name and header. The name is the subclass name, and header is the
  header to include so that the subclass is defined while building. The header
  is placed into the correct generated file depending on whether a form or control
  is being subclassed. This removes most of the purposed of the "user_headers"
  property, so it has been removed. A "precompiled_header" property was added,
  with default value of "wx/wxprec.h". This fix necessitated the creation of a "parent"
  property type, of which "subclass" is the only example. More information on parent
  properties will soon be added to the wiki.

11-15-2006 Version 3.00.10 (Beta 2)
* Fixed FS#63 - "Size/minimum-size is not working."
* Fixed FS#60 - "wxFlexGridSizer vgap/hgap if empty they get generated empty."
  This was actually a bug with most numerical properties. Added a "uint" property
  type to solve this. Most numerical properties are now unsigned integers, so the
  property grid will not let it remain blank, and negative numbers are not accepted.
  This approach is good because it is clear to the user what will happen when the
  code is generated.
* Fixed FS#66 - "Adding common controls to toolbar."
* Fixed FS#65 - "Unfriendly object tree."
* Implemented FS#68 - "Smart enable/disable of toolbar items."
  This was already mostly done. Just needed to enable/disable the appropriate alignment
  buttons for wxBoxSizer and wxStaticBoxSizer.

10-30-2006 Version 3.00.09 (Beta 2)
* Fixed moving left, right, and into a new wxBoxSizer for spacers.
* Fixed FS#72 - "When editing a property in the property grid, it is lost when you click away."
* Fixed FS#73 - "Toolbar tools not selecting the object in the object tree."
* Fixed FS#71 - "wxSplitter window sashpos not being set."

10-27-2006 Version 3.00.08 (Beta 2)
* ID_DEFAULT is no longer defined when not used.
* Ids beginning with "wxID_" are no longer defined, this is to avoid redefining
  wxWidgets special identifiers.
* Ids for forms now use the "id" property instead of being hardcoded to -1.
* Fixed wxSlider XRC generation for the minValue and maxValue properties.

10-26-2006 Version 3.00.07 (Beta 2)
^ wxID_ANY is now the default id.
^ Object tree now saves its state.
^ Object tree now also scrolls horizontally when selecting an object.
^ Added class name and line to error message for unknown classes when importing xrc.
^ Improved both C++ and XRC code generation for wxSplitterWindow.

10-25-2006 Version 3.00.06 (Beta 2)
^ Implemented FS#26 - "Chronological id creation."
+ Added support for using wxSplitterWindow with only one child.
+ Added min_pane_size and sashsize properties to wxSplitterWindow.
+ Added maximum size property to wxWindow properties.

10-20-2006 Version 3.00.05 (Beta 2)
+ Implemented FS#48 - "Improve error notification when a plugin is missing."
  If widgets are missing, the project will not load at all.
+ Added a boolean "xrc_skip_sizer" property to Frame. The default is value is true.
  When true, the main sizer of the frame will not be generated in XRC, if the sizer
  only has one child. This is a workaround for a wx bug that ignores the "size"
  property of the frame if it has a sizer. This resolves FS#74.
+ Added encoding check for all loaded xml files.

10-13-2006 Version 3.00.04 (Beta 1)
* Fixed visual editor for subpanels.
* Fixed circular subclassing. This resolves FS#32.
* Fixed Alt-Tab icon. This resolves FS#34.
^ Now limiting to a single instance of wxFB per project file. The resolves FS#31.

10-08-2006 Version 3.00.03 (Beta 1)
* Fixed wxWindow settings code generation.

10-07-2006 Version 3.00.02 (Beta 1)
* Fixed generation bugs in submenu and wxCheckList (now wxCheckListBox)
  These were caused by subclass in version 2.00.75. This closes FS#20.
* Changed title of save dialog box from "Open Project" to "Save Project"
  This closes FS#18.
* Fixed xrc generation of static bitmap using patch supplied by henrique.
  This closes FS#16
* Added subclassing on forms. This closes FS#21.
* Fixed C++ output of value property for wxGauge.
+ Added center property for wxDialog and wxFrame. This closes FS#17.
+ Individual directories for each plug-in.
+ Toolbar separators. This closes FS#11.
+ Possibility to group plugin components with toolbar separators.
^ Premake script for sdk projects.
^ Renamed contrib to wxAddition plug-in.
^ Palette now remembers tab order.
^ Major ripup/redesign of the plugin interface.
~ Plugin directory out of src.
~ wxAdditions plug-in to the wxAdditions repository.

09-13-2006 Version 2.00.75
+ Added subclass and user_headers properties. This closes FS#5.

09-07-2006 Version 2.00.74
* Fixed behaviour of wxSize and wxPoint properties when NumLock was
  on (and possibly others).

08-28-2006  Version 2.00.73
^ File size for wxAdditions in the wxFormBuilder installer.
* Fixed behaviour of wxSizer::Fit(). This fixes FS#9

08-25-2006  Version 2.00.72
+ Replaced wxPlot with wxPlotCtrl
^ Made checkbox the default for boolean properties.
* Fixed xrc generation for bitmap properties (bug FS#4)
^ Automatic linking to wxAdditions is now done through a
  header distributed with wxAddtions, this is now independent
  of the version of wxWidgets.
- Removed project option for wxWidgets Version.

08-18-2006  Version 2.00.71
+ Added a new project option for wxWidgets Version.
  Currently it can be 2.7+ and 2.6+.
+ Added support for wxWidgets v2.7.0 for code generation.

08-15-2006  Version 2.00.70
* Fixed the background colour of wxPanel.
* Fixed bitmap behavior on menu items.
+ Added wxScintilla shortcuts (Ctrl-C, Ctrl-V, Ctrl-X).
+ Added "Default" in the wxPropertyGrid colour selector
  (some controls don't have the BtnFace colour by default).
+ Added the properties checked and style to wxCheckBox.
^ Set the default background color of wxFlatNotebook to ButtonFace.
^ Updated wxFB's URL in the generated C++ code.

08-03-2006  Version 2.00.69
* Fixed bug where the first page of listbook, choicebook, and flatnotebook
  was always selected on refresh.

08-01-2006  Version 2.00.68
* Updated the executable in the installer. Opps ;-).

08-01-2006  Version 2.00.67
^ Updated icons to look a bit more modern.
+ Option to make Microsoft BOM for UTF-8 files added to project settings.

07-27-2006  Version 2.00.66
* Fix XRC styles importation.

07-27-2006  Version 2.00.65
^ Made it so the unique names are created with numbers instead of '_'.

07-26-2006  Version 2.00.64
^ Made the wxAdditions installer do better checks to determine if the user
  has wxWidgets installed before deciding where the default directory will be.
~ Moved the download location for wxAdditions to a sourceforge hosted server.

07-25-2006  Version 2.00.63
^ Fixed a spelling mistake in the installer.

07-25-2006  Version 2.00.62
^ Added a description in the installer about wxAdditions.

07-24-2006  Version 2.00.61
^ Installer to dynamically download wxAdditions.
^ wxPropgrid v1.2

07-21-2006  Version 2.00.60
* Fixed Unicode support.
* Fixed style not working in a frame and dialog.
^ Code generation for wxRadioBox and wxChoice improved.

07-14-2006  Version 2.00.59
+ Added wxScintilla control to contrib.
^ Installer Maintenance release.

07-14-2006  Version 2.00.58
* Fixed Unicode xrc output bug.
+ Replaced common icons with new look.
+ Project Conversion supported.

07-06-2006  Version 2.00.57
* Fixed wxMenuBar 'style' property.
+ Added the move right/left to the right-click menu.

06-28-2006  Version 2.00.56
* Fixed handling of default values for inherited properties.

06-27-2006  Version 2.00.55
+ Added refresh call to object inspector panel.
+ Added code generation for the extra_style property.
* Stopped combining bitlists with the same name.
* Fixed wxPropertyGridManager disappearing-toolbar bug. (Linux)

06-22-2006  Version 2.00.54
+ This changelog is in the installer.
* UTF-8 file generation occurrs by default in the unicode build.
* Changed the xrc to xml conversions to use the wxConvCurrent conversion.

06-21-2006  Version 2.00.53
+ Support for wxScrolledWindow.
+ Can now set images on wxNotebook and wxFlatNotebook tabs.
+ Can now set images on wxListbook.
+ Control IDs can now be generated as an enumeration instead of a list of #defines.
+ Now supports internationalization.
+ Can now set the encoding on XRC files.
+ Now building in Unicode for better Cross-Platform support.
+ Now supports "flexible_direction" and "non_flexible_grow_mode" on wxFlexGridSizer.
+ Now supports Sort style on wxComboBox.
* Message box titles now begin with a lowercase "w".
- Strange empty lines in generated code.

06-05-2006  Version 2.00.52
+ Support for wxListbook.
+ Support for wxChoicebook.
+ Added help in the GUI for all properties.

05-17-2006  Version 2.00.51
+ Can now use images from windows .rc files for all image properties.

02-10-2006  Version 1.10 - 2.00.50
+ Support for wxPlotWindow.
+ Support for wxPropertyGrid.
+ Support for wxPropertyGridManager.
+ Support for wxFlatNotebook.
+ Support for awxLed.
+ Support for wxStaticBoxSizer.
+ Icons to wxFlatnotebook tabs.
+ Folding to scintilla control.
+ Line numbers to scintilla control.
+ Minimum size property to wxWindow.
+ Code is genereted in the GUI when switching to the notebook page, without
    requiring a click of the "Code Generation" button.
^ Toolbar icons.
^ Interface now using wxFlatNotebook.
^ Now using the latest propgrid source.
^ Interface now using propgrid manager.
^ Interface now using wxScintilla.
^ Change wxColor property to show a list of system colors.
^ All icons can now be customized from the xml files
^ Change "option" to "proportion" on sizeritems.
^ Switch to tabs for indentation.
* Background color issues in the palette.
- Typedefs for easier understanding
_______________________________________________________________
Legend:

"+" = Addition, "*" = Bug Fix, "-" = Removed, "~" = Move, "^" = Updated
